FailedPromisesException
Date: 2016-06-25

org.osgi.util.promise

## Class FailedPromisesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.util.promise.FailedPromisesException

- All Implemented Interfaces:
    java.io.Serializable

      public class FailedPromisesException
      extends java.lang.RuntimeException

  Promise failure exception for a collection of failed Promises.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailedPromisesException(java.util.Collection<Promise<?>> failed, java.lang.Throwable cause)` Create a new FailedPromisesException with the specified Promises.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<Promise<?>>` | `getFailedPromises()` Returns the collection of Promises that have been resolved with a failure.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FailedPromisesException

          public FailedPromisesException(java.util.Collection<Promise<?>> failed,
                                 java.lang.Throwable cause)

      Create a new FailedPromisesException with the specified Promises.
      Parameters:
        `failed` - A collection of Promises that have been resolved with a failure. Must not be `null`, must not be empty and all of the elements in the collection must not be `null`.
        `cause` - The cause of this exception. This is typically the failure of the first Promise in the specified collection.

  - ### Method Detail

    - #### getFailedPromises

          public java.util.Collection<Promise<?>> getFailedPromises()

      Returns the collection of Promises that have been resolved with a failure.
      Returns:
        The collection of Promises that have been resolved with a failure. The returned collection is unmodifiable.